MethodNotFoundException (EL 6.0 API Documentation - Apache Tomcat 11.0.24)
Description: declaration: package: jakarta.el, class: MethodNotFoundException

# Class MethodNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.el.ELException
jakarta.el.MethodNotFoundException

All Implemented Interfaces:
  `Serializable`

public class MethodNotFoundException extends ELException
Thrown when a method referenced in an EL expression cannot be found on the target object.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodNotFoundException()`
  Constructs a MethodNotFoundException with no detail message.
  `MethodNotFoundException(String message)`
  Constructs a MethodNotFoundException with the specified detail message.
  `MethodNotFoundException(String message, Throwable cause)`
  Constructs a MethodNotFoundException with the specified detail message and cause.
  `MethodNotFoundException(Throwable cause)`
  Constructs a MethodNotFoundException with the specified cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MethodNotFoundException

    public MethodNotFoundException()
    Constructs a MethodNotFoundException with no detail message.

  - ### MethodNotFoundException

    public MethodNotFoundException(String message)
    Constructs a MethodNotFoundException with the specified detail message.
    Parameters:
      `message` - the detail message

  - ### MethodNotFoundException

    public MethodNotFoundException(Throwable cause)
    Constructs a MethodNotFoundException with the specified cause.
    Parameters:
      `cause` - the cause of this exception

  - ### MethodNotFoundException

    public MethodNotFoundException(String message, Throwable cause)
    Constructs a MethodNotFoundException with the specified detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause of this exception